import { Widget, EqContext } from '@easyquery/core';
import { QueryPanelOptions } from '@easyquery/ui';
export declare class JQueryQueryPanelWidget extends Widget {
    private jqueryWrapper;
    constructor(slot: HTMLElement);
    init(context: EqContext, options?: QueryPanelOptions): void;
    protected refreshCore(): void;
}
